// Point.cpp: implementation of the CPoint class.
//
//////////////////////////////////////////////////////////////////////

#include "Point.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CPoint::CPoint()
{

}

CPoint::CPoint(float x, float y)
{
	m_x = x;
	m_y = y;
}

CPoint::~CPoint()
{

}

void CPoint::SetPositionX(float x)
{
	m_x = x;
}

float CPoint::GetPositionX()
{
	return m_x;
}

void CPoint::SetPositionY(float y)
{
	m_y = y;
}

float CPoint::GetPositionY()
{
	return m_y;
}

void CPoint::SetGroupNumber(int group)
{
	m_group = group;
}

int CPoint::GetGroupNumber()
{
	return m_group;
}

CPoint CPoint::operator=(CPoint point) // operator overloading
{
	m_x = point.m_x;
	m_y = point.m_y;
	m_group = point.m_group;

	return *this;
}

CPoint CPoint::operator+(CPoint point) // operator overloading
{
	m_x += point.m_x;
	m_y += point.m_y;

	return *this;
}

CPoint CPoint::operator-(CPoint point) // operator overloading
{
	m_x -= point.m_x;
	m_y -= point.m_y;

	return *this;
}

bool CPoint::operator== (CPoint point) // operator overloading
{
	if(m_x == point.m_x && m_y == point.m_y) // check the position between two point
		return true; // same point - return true

	return false; // not same point - return false
}

void CPoint::SetPosition(float x, float y)
{
	m_x = x;
	m_y = y;
}
